<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Package org.apache.poi.hwpf.model.types (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Package org.apache.poi.hwpf.model.types (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hwpf/model/types/package-use.html"
               target="_top">Frames</a></li>
        <li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Uses of Package org.apache.poi.hwpf.model.types" class="title">Uses of Package<br>org.apache.poi.hwpf.model.types
    </h1>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../../org/apache/poi/hwpf/model/types/package-summary.html">org.apache.poi.hwpf.model.types</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwpf.model">org.apache.poi.hwpf.model</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwpf.usermodel">org.apache.poi.hwpf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hwpf.model">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a
                        href="../../../../../../org/apache/poi/hwpf/model/types/package-summary.html">org.apache.poi.hwpf.model.types</a> used by <a
                        href="../../../../../../org/apache/poi/hwpf/model/package-summary.html">org.apache.poi.hwpf.model</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/class-use/BKFAbstractType.html#org.apache.poi.hwpf.model">BKFAbstractType</a>
                        <div class="block">BooKmark First descriptor (BKF).</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/class-use/DOPAbstractType.html#org.apache.poi.hwpf.model">DOPAbstractType</a>
                        <div class="block">Document Properties.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/class-use/FFDataBaseAbstractType.html#org.apache.poi.hwpf.model">FFDataBaseAbstractType</a>
                        <div class="block">The FFData structure specifies form field data for a text
                            box, check box, or drop-down list box.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/class-use/FibBaseAbstractType.html#org.apache.poi.hwpf.model">FibBaseAbstractType</a>
                        <div class="block">Base part of the File information Block (FibBase).</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/class-use/FibRgLw97AbstractType.html#org.apache.poi.hwpf.model">FibRgLw97AbstractType</a>
                        <div class="block">The FibRgLw97 structure is the third section of the FIB.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/class-use/FibRgW97AbstractType.html#org.apache.poi.hwpf.model">FibRgW97AbstractType</a>
                        <div class="block">The FibRgW97 structure is a variable-length portion of the Fib.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/class-use/FLDAbstractType.html#org.apache.poi.hwpf.model">FLDAbstractType</a>
                        <div class="block">Field Descriptor (FLD).</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/class-use/FRDAbstractType.html#org.apache.poi.hwpf.model">FRDAbstractType</a>
                        <div class="block">Footnote Reference Descriptor (FRD).</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/class-use/FSPAAbstractType.html#org.apache.poi.hwpf.model">FSPAAbstractType</a>
                        <div class="block">File Shape Address (FSPA).</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/class-use/GrfhicAbstractType.html#org.apache.poi.hwpf.model">GrfhicAbstractType</a>
                        <div class="block">The grfhic structure is a set of HTML incompatibility flags that specify the
                            HTML
                            incompatibilities of a list structure.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/class-use/HRESIAbstractType.html#org.apache.poi.hwpf.model">HRESIAbstractType</a>
                        <div class="block">Hyphenation (HRESI).</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/class-use/LFOAbstractType.html#org.apache.poi.hwpf.model">LFOAbstractType</a>
                        <div class="block">List Format Override (LFO).</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/class-use/PICFAbstractType.html#org.apache.poi.hwpf.model">PICFAbstractType</a>
                        <div class="block">The PICF structure specifies the type of a picture, as well as the size of
                            the
                            picture and information about its border.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/class-use/TBDAbstractType.html#org.apache.poi.hwpf.model">TBDAbstractType</a>
                        <div class="block">The TBD is a substructure of the PAP.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hwpf.usermodel">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a
                        href="../../../../../../org/apache/poi/hwpf/model/types/package-summary.html">org.apache.poi.hwpf.model.types</a> used by <a
                        href="../../../../../../org/apache/poi/hwpf/usermodel/package-summary.html">org.apache.poi.hwpf.usermodel</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/class-use/CHPAbstractType.html#org.apache.poi.hwpf.usermodel">CHPAbstractType</a>
                        <div class="block">Character Properties.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/class-use/PAPAbstractType.html#org.apache.poi.hwpf.usermodel">PAPAbstractType</a>
                        <div class="block">Paragraph Properties.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/class-use/SEPAbstractType.html#org.apache.poi.hwpf.usermodel">SEPAbstractType</a>
                        <div class="block">Section Properties.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/class-use/SHD80AbstractType.html#org.apache.poi.hwpf.usermodel">SHD80AbstractType</a>
                        <div class="block">The Shd80 structure specifies the colors and pattern that are used for
                            background
                            shading.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/class-use/SHDAbstractType.html#org.apache.poi.hwpf.usermodel">SHDAbstractType</a>
                        <div class="block">The Shd structure specifies the colors and pattern that are used for
                            background shading.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/class-use/TAPAbstractType.html#org.apache.poi.hwpf.usermodel">TAPAbstractType</a>
                        <div class="block">Table Properties.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/class-use/TCAbstractType.html#org.apache.poi.hwpf.usermodel">TCAbstractType</a>
                        <div class="block">Table Cell Descriptor.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/class-use/TLPAbstractType.html#org.apache.poi.hwpf.usermodel">TLPAbstractType</a>
                        <div class="block">Table Autoformat Look sPecifier (TLP).</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hwpf/model/types/package-use.html"
               target="_top">Frames</a></li>
        <li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
